summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD33
2 files changed, 17 insertions, 31 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 032f38e39f1..4a300e51298 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,23 +1,19 @@
pkgbase = python-astroplan
pkgdesc = A python package to help astronomers plan observations
- pkgver = 0.7
+ pkgver = 0.8
pkgrel = 1
url = https://astroplan.readthedocs.io
arch = i686
arch = x86_64
license = BSD
- checkdepends = python-pytest-astropy
- checkdepends = python-pytest-mpl
- makedepends = python-setuptools
- makedepends = python-astropy>=1.3
- makedepends = python-pytz
- makedepends = python-astropy-helpers
+ checkdepends = python-pytest-doctestplus
+ makedepends = python-setuptools-scm
makedepends = python-sphinx-astropy
makedepends = python-astroquery
makedepends = graphviz
- source = https://files.pythonhosted.org/packages/source/a/astroplan/astroplan-0.7.tar.gz
+ source = https://files.pythonhosted.org/packages/source/a/astroplan/astroplan-0.8.tar.gz
source = fix_doc_index_astropy_link.patch
- md5sums = ae8acf8eb51daeff0bbccb7f8626587c
+ md5sums = 5595baf9469ca8c21b5ad05309ec6798
md5sums = be56be5926b43589b273c16544c5241a
pkgname = python-astroplan
@@ -25,7 +21,6 @@ pkgname = python-astroplan
depends = python-numpy>=1.10
depends = python-astropy>=1.3
depends = python-pytz
- depends = python-six
optdepends = python-matplotlib: Plotting support
optdepends = python-astroquery: Astroquery support
optdepends = python-astroplan-doc: Documentation for astroplan
diff --git a/PKGBUILD b/PKGBUILD
index d51a89dc79b..dc5b4d44f26 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,51 +2,42 @@
pkgbase=python-astroplan
_pyname=${pkgbase#python-}
pkgname=("python-${_pyname}" "python-${_pyname}-doc")
-pkgver=0.7
+pkgver=0.8
pkgrel=1
pkgdesc="A python package to help astronomers plan observations"
arch=('i686' 'x86_64')
url="https://astroplan.readthedocs.io"
license=('BSD')
-makedepends=('python-setuptools'
- 'python-astropy>=1.3'
- 'python-pytz'
- 'python-astropy-helpers'
+makedepends=('python-setuptools-scm'
'python-sphinx-astropy'
'python-astroquery'
'graphviz')
-checkdepends=('python-pytest-astropy' 'python-pytest-mpl')
+checkdepends=('python-pytest-doctestplus')
source=("https://files.pythonhosted.org/packages/source/${_pyname:0:1}/${_pyname}/${_pyname}-${pkgver}.tar.gz"
+# "http://hpiers.obspm.fr/iers/eop/eopc04/eopc04_IAU2000.62-now"
+# "https://skyview.gsfc.nasa.gov/tempspace/fits/skv9820097384828.fits"
'fix_doc_index_astropy_link.patch')
-md5sums=('ae8acf8eb51daeff0bbccb7f8626587c'
+md5sums=('5595baf9469ca8c21b5ad05309ec6798'
'be56be5926b43589b273c16544c5241a')
-prepare() {
- cd ${srcdir}/${_pyname}-${pkgver}
-
- sed -i -e '/auto_use/s/True/False/' setup.cfg
- patch -Np1 -i "${srcdir}/fix_doc_index_astropy_link.patch"
-}
-
build() {
cd ${srcdir}/${_pyname}-${pkgver}
- python setup.py build --use-system-libraries --offline
+ python setup.py build
msg "Building Docs"
- python -c "from astroplan import download_IERS_A; download_IERS_A()"
- python setup.py build_docs
+ cd ${srcdir}/${_pyname}-${pkgver}/docs
+ PYTHONPATH="../build/lib" make html
}
check() {
cd ${srcdir}/${_pyname}-${pkgver}
- python setup.py test || warning "Tests failed"
+ pytest "build/lib" || warning "Tests failed"
}
package_python-astroplan() {
- depends=('python>=3.5' 'python-numpy>=1.10' 'python-astropy>=1.3' 'python-pytz' 'python-six')
+ depends=('python>=3.5' 'python-numpy>=1.10' 'python-astropy>=1.3' 'python-pytz')
optdepends=('python-matplotlib: Plotting support'
-# 'python-pytest-mpl: Testing the plot function'
'python-astroquery: Astroquery support'
'python-astroplan-doc: Documentation for astroplan')
cd ${srcdir}/${_pyname}-${pkgver}
@@ -54,7 +45,7 @@ package_python-astroplan() {
install -D -m644 LICENSE.rst -t "${pkgdir}/usr/share/licenses/${pkgname}"
# install -m644 -t "${pkgdir}/usr/share/licenses/${pkgname}/" licenses/*
install -D -m644 README.rst -t "${pkgdir}/usr/share/doc/${pkgname}"
- python setup.py install --root=${pkgdir} --prefix=/usr --optimize=1 --use-system-libraries --offline
+ python setup.py install --root=${pkgdir} --prefix=/usr --optimize=1
}
package_python-astroplan-doc() {